---
data_category: Optional
key_path: redis_hll_counters.code_review.code_review_total_unique_counts_monthly
description: Count of unique users per month who interact with a merge request
product_stage: create
product_group: group::code review
product_category: code_review
value_type: number
status: data_available
time_frame: 28d
data_source: redis_hll
instrumentation_class: RedisHLLMetric
options:
  events:
    - i_code_review_mr_diffs
    - i_code_review_user_single_file_diffs
    - i_code_review_mr_single_file_diffs
    - i_code_review_user_toggled_task_item_status
    - i_code_review_user_create_mr
    - i_code_review_user_close_mr
    - i_code_review_user_reopen_mr
    - i_code_review_user_approve_mr
    - i_code_review_user_unapprove_mr
    - i_code_review_user_resolve_thread
    - i_code_review_user_unresolve_thread
    - i_code_review_edit_mr_title
    - i_code_review_edit_mr_desc
    - i_code_review_user_merge_mr
    - i_code_review_user_create_mr_comment
    - i_code_review_user_edit_mr_comment
    - i_code_review_user_remove_mr_comment
    - i_code_review_user_create_review_note
    - i_code_review_user_publish_review
    - i_code_review_user_create_multiline_mr_comment
    - i_code_review_user_edit_multiline_mr_comment
    - i_code_review_user_remove_multiline_mr_comment
    - i_code_review_user_add_suggestion
    - i_code_review_user_apply_suggestion
    - i_code_review_user_assigned
    - i_code_review_user_marked_as_draft
    - i_code_review_user_unmarked_as_draft
    - i_code_review_user_review_requested
    - i_code_review_user_approval_rule_added
    - i_code_review_user_approval_rule_deleted
    - i_code_review_user_approval_rule_edited
    - i_code_review_user_vs_code_api_request
    - i_code_review_user_create_mr_from_issue
    - i_code_review_user_mr_discussion_locked
    - i_code_review_user_mr_discussion_unlocked
    - i_code_review_user_time_estimate_changed
    - i_code_review_user_time_spent_changed
    - i_code_review_user_assignees_changed
    - i_code_review_user_reviewers_changed
    - i_code_review_user_milestone_changed
    - i_code_review_user_labels_changed
    - i_code_review_click_diff_view_setting
    - i_code_review_click_single_file_mode_setting
    - i_code_review_click_file_browser_setting
    - i_code_review_click_whitespace_setting
    - i_code_review_diff_view_inline
    - i_code_review_diff_view_parallel
    - i_code_review_file_browser_tree_view
    - i_code_review_file_browser_list_view
    - i_code_review_diff_show_whitespace
    - i_code_review_diff_hide_whitespace
    - i_code_review_diff_single_file
    - i_code_review_diff_multiple_files
    - i_code_review_user_load_conflict_ui
    - i_code_review_user_resolve_conflict
    - i_code_review_user_searches_diff
distribution:
- ce
- ee
tier:
- free
- premium
- ultimate
performance_indicator_type: []
